#include <Wire.h> 
#include <LiquidCrystal_I2C.h>

// Set the LCD address to 0x3f for a 20 chars / 4 line display
LiquidCrystal_I2C lcd(0x3f, 20, 4);

/* setup() ---------------------------------------------------------------------------------*/
void setup()
{
  // initialize the LCD
  lcd.init();

  // Turn on the backlight and print a message.
  lcd.backlight();
  lcd.setCursor(0, 0);
  lcd.print("Hello World");
}

/* loop() ----------------------------------------------------------------------------------*/
void loop()
{
  int i;
  char c;
  
  for (i = 32; i < 255; ++i) { 
    lcd.setCursor(0, 2);
    lcd.print(i);
    lcd.print(" = ");
    c = char(i);
    lcd.print(c);
    delay(500);  
  };
}
